FROM python:3.7-alpine
ENV PYTHONUNBUFFERED 1
RUN apk update \
    && apk add --no-cache \
        build-base \
        python-dev \
        postgresql-dev \
        zlib-dev
RUN mkdir /app
COPY requirements.txt /app/
WORKDIR /app/
COPY wait-for /usr/bin/
RUN chmod +x /usr/bin/wait-for
RUN pip install -r requirements.txt
COPY / /app/
